Nagamatsu1945

Villager
Member
Joined
Oct 23, 2020
Messages
7
Reaction score
1
First Language
Indonesia
Primarily Uses
RMMV
@Nagamatsu1945 the plugin works just fine.
while you check the bottom error "Game is using Alpha ABS BASIC on version 1.5.1 "

if you updated the MV version of MV from 1.5.1 to 1.6.1 and not your project.
you need to update teh project as well.
Thank you for the reply. I replaced the original one to .Js folder. Actually this plugin works. It means there is a problem with my achievement. Thanks!

Edit: Yes, it's my fault. I Forgot to add [ , ] at the end off the line before make new line...
 
Last edited:

David_Ribeiro

Villager
Member
Joined
Dec 9, 2019
Messages
5
Reaction score
1
First Language
portuguese
Primarily Uses
RMMV
hey, i hope you can help me out with this, i thought i did everything right while configuring this plugin but when i run my game and try to load into a file it always
comes up with this error.

i really dont know what is causing this issue,again im using version 1.5.1 and i thought i did everything right, hope you can figure this out, thank you!
 

Attachments

  • imagem_2020-12-31_170308.png
    imagem_2020-12-31_170308.png
    199.9 KB · Views: 7

Nagamatsu1945

Villager
Member
Joined
Oct 23, 2020
Messages
7
Reaction score
1
First Language
Indonesia
Primarily Uses
RMMV
Have you try using the original.js file?
If there is no error on original .js file, it means there is something wrong inside the modified .js line. try to find error on the modified one.
 

David_Ribeiro

Villager
Member
Joined
Dec 9, 2019
Messages
5
Reaction score
1
First Language
portuguese
Primarily Uses
RMMV
Have you try using the original.js file?
If there is no error on original .js file, it means there is something wrong inside the modified .js line. try to find error on the modified one.
i assumed you meant original.js as in the original plugin file without any changes made to it, i downloaded the plugin again but didnt change anything(except for the file name so it wouldnt overwrite my original js file) and the problem actually persisted! so its not any error i did, thats all i can really say now, still dont know what causes this.
 

Nagamatsu1945

Villager
Member
Joined
Oct 23, 2020
Messages
7
Reaction score
1
First Language
Indonesia
Primarily Uses
RMMV
Have you disabled your previous modified plugin? (Just in case)

I'm using 1.6 version and it's work fine... is it because the plugin is incompatible with the project version or the application version(RPGMV itself) to check it try making new project with only the original plugin. Same, if it's show the same error, then the .js is not compatible with the RPGMV version. Not only the project.
 

Nagamatsu1945

Villager
Member
Joined
Oct 23, 2020
Messages
7
Reaction score
1
First Language
Indonesia
Primarily Uses
RMMV
i recommend to update the project if the error only on the project...
 
Last edited:

David_Ribeiro

Villager
Member
Joined
Dec 9, 2019
Messages
5
Reaction score
1
First Language
portuguese
Primarily Uses
RMMV
Have you disabled your previous modified plugin? (Just in case)

I'm using 1.6 version and it's work fine... is it because the plugin is incompatible with the project version or the application version(RPGMV itself) to check it try making new project with only the original plugin. Same, if it's show the same error, then the .js is not compatible with the RPGMV version. Not only the project.
i did the test, created a new project and only put the original js, and it worked perfectly fine, so its a problem with my project especifically, i dont remember ever updating my project so i searched online how to do it, did it, and still no luck

btw just for some extra information, probs should have included this in my original post, but im using rpg maker mv version 1.5.1, so the issue shouldnt be the rpg maker program version since the developer said in the original post he tested the plugin in this version.
 

Nagamatsu1945

Villager
Member
Joined
Oct 23, 2020
Messages
7
Reaction score
1
First Language
Indonesia
Primarily Uses
RMMV
updating project only needed if you make the project since the older version of mv (1.4 or 1.3 and below)

If you have an old project that needs updating, do the following:
  • Make a backup of your project.
  • Create a new project or go to the NewData folder in your RPG Maker MV root (where MV is installed) folder.
  • Copy the new js files (RPG*.js and Libs Folder) and replace the one in your -old project.
  • DO NOT COPY plugins.js or it will replace your plugin settings.
  • Copy index.html files to your current project.
from other forum

if the problem is from the project, try disable all plugin and left only the original one.

if the plugin works, try to find the plugin that (maybe) can't run with it by enable it one by one.
 

Nagamatsu1945

Villager
Member
Joined
Oct 23, 2020
Messages
7
Reaction score
1
First Language
Indonesia
Primarily Uses
RMMV
i did the test, created a new project and only put the original js, and it worked perfectly fine, so its a problem with my project especifically, i dont remember ever updating my project so i searched online how to do it, did it, and still no luck

btw just for some extra information, probs should have included this in my original post, but im using rpg maker mv version 1.5.1, so the issue shouldnt be the rpg maker program version since the developer said in the original post he tested the plugin in this version.
oh yeah, have you test the modified plugin too?
 
Last edited:

David_Ribeiro

Villager
Member
Joined
Dec 9, 2019
Messages
5
Reaction score
1
First Language
portuguese
Primarily Uses
RMMV
updating project only needed if you make the project since the older version of mv (1.4 or 1.3 and below)


from other forum

if the problem is from the project, try disable all plugin and left only the original one.

if the plugin works, try to find the plugin that (maybe) can't run with it by enable it one by one.
did that, found out it was actually yanflys save core plugin that was causing the issue all along, without it enabled it works fine, thanks alot for your help! i really appreaciate it.

now im probs gonna have to disable the save core plugin wich kinda sucks but atleast i can finally use this awesome plugin.
 

PiclesFalante

Warper
Member
Joined
Jan 14, 2021
Messages
2
Reaction score
1
First Language
Portuguese
Primarily Uses
RMMV
Introduction:

Do you want an achievement system like the ones on Play Station (3 and 4) or XBox (sorry don't use XBox much so I don't know which ones have an achievement system)? Well you're in luck, I just made a plugin for that. It is highly customizable (can customize all the text, all bar colors, the number of achievements, the achievement logo being icon or sprite, the achievement name, the achievement description and reward, the achievement unlocking conditions, the scene's layout, etc.). That is if you don't mind modifying directly into the code. Indeed, because of the highly customizable form, it would be very tedious, long, and inefficient to use plugin parameters (since you need to create each of your individual achievements).

Fear not, I have a youtube video to help you through the process if you need help. Just check the youtube link at the end of this thread. Check the timestamp in the video description to jump to the part you need assistance with.

Since you need to go into the code, you will need an editor. If you don't have one, I'm using Sublime Text and you can use it for free.

Note:

I didn't test on rpg maker mv version 1.6.0+ since that version forces you to update your old js files and it makes my project (on version 1.4.0) crashes. I only tested this plugin on version 1.4.0 and 1.51.

Features:

There are 2 sections in the code where I planned having the developer bring his own modifications. The first section is customizing the scene's details (for example which scene view, the text, bar colors, icon or sprite size, number of lines per achievement, etc.). If you're having trouble finding the section, just copy and search (ctrl + f) this: qwe789

The second section is where you will create all your achievements. That includes: the logo (icon or sprite), the name, the reward, the description, the condition to unlock, and either to hide information or not when it is not unlocked yet. If you're having trouble finding the section, just copy and search (ctrl + f) this: asdf087

Important:

I forgot to mention some information in the video:
- For sprite images, place the image in the "Picture" folder.
- If you don't want a reward to be given when you complete an achievement, put "-1/0/0" in the reward part. Keeping the 2 slashes and 3 variables is important.

Image(s):

Scene View 1
Wnr6nag.png


Scene View 2
ASPnzpe.png

Updates:
v.1.01:
  • First release.
v.1.02:
  • Added the ability to frequently check for achievement update on the Scene Map. You can set the achievement check frequency (how many frames between each check).
v.1.03:
  • Added the ability to set an image as default image when an achievement is locked and when it's supposed to use an image instead of an icon (before it would just black out the image when the achievement wasn't unlocked yet).
  • Added the ability to disable the pop out window that appears on the map when completing an achievement. This is mainly for conflict with other plugins.
v.1.04:
  • Added the possibility to set a switch to activate/deactivate the attribution of achievements, and also to activate/deactivate the access to the achievement scene via menu.
v.1.05:
  • Fixed an issue where the pop window made the message window disappear.
  • Added touch input support.

Terms:

Basically, if your project's budget is less than 100 000$ Canadian Dollars and your project is not part of a company that has a net worth of over 1 000 000$ Canadian Dollars, you can use it for free, provided you credit me. For the complete terms and licenses, visit my website, license 101.

Here's the link: https://www.kamostudiogroup.com/terms--licenses.html

If you do happen to have invested more than 100 000$ Canadian Dollars in your project, or your project is part of a company that has a net worth >= 1 000 000$ Canadian Dollars, you can still use my work, but not for free. The cost should be negociated directly with me.

Links:
- Plugin: https://www.dropbox.com/s/adofysb9br0ani2/$MUSH_AchievementSystem_P1.js?dl=0
- Youtube (tutorial): youtu.be/6lsGHnV1U4E
- Icon when not unlocked file: www.dropbox.com/s/ph8gnbwzch83zxs/AchievementNotUnlockedIcon.png?dl=0
- Support on *******: https://www.*******.com/kamostudiogroup
- Follow on Facebook: https://www.facebook.com/Kamo-Studio-Group-185550142221553/
Great!
 

Latest Threads

Latest Posts

Latest Profile Posts

After working out some initial confusion, I managed to get Yanfly's Improved Battlebacks successfully working on a test battle, changing the battleback and getting it to scroll during combat. This means that I can have graphically dynamic battles on moving platforms, like the roof of a train or the deck of a ship/airship...
Place Events Like Tiles Through Replacement, & Take Notes Free Form | RPG Maker News #41

the singularity is upon us:
1621133810311.png
MV's plugin command setup is the current bane of RETRO's existence. To a degree, so is MZ's. Especially when trying to make MV's plugin command interface play nice with MZ plugin commands with complex arguments.
Finally got mv & mz games output to apk files ᕙ( • ‿ • )ᕗ I'm so happy!! ┌(・。・)┘♪

Forum statistics

Threads
111,392
Messages
1,060,781
Members
144,737
Latest member
NewAgeRetroFly
Top